#!/usr/bin/env python

# ======================================================================
# all application-global constants needed in CellDraw code are
#    placed here, for easier access from various classes
# ======================================================================


# 2010 - Mitja:
import inspect # for debugging functions, remove in final version
# debugging functions, remove in final version
def debugWhoIsTheRunningFunction():
    return inspect.stack()[1][3]
def debugWhoIsTheParentFunction():
    return inspect.stack()[2][3]


from PyQt4 import QtCore


# ----------------------------------------------------------------------
# 2011- Mitja: CDConstants doesn't do much except declare values
# ------------------------------------------------------------
class CDConstants(QtCore.QObject):
    # --------------------------------------------------------


    # 2010 - Mitja: mode for editing PIFF scene Items:
    #     (originally it was defined in the DiagramScene class as:
    #      InsertItem, InsertLine, InsertText, MoveItem  = range(4) )
    SceneModeInsertItem, SceneModeInsertLine, SceneModeInsertText, \
        SceneModeMoveItem, SceneModeInsertPixmap, SceneModeResizeItem, \
        SceneModeImageLayer = range(7)


    # 2010 - Mitja: mode for saving PIFF files, different generating methods:
    PIFFSaveWithFixedRaster, PIFFSaveWithOneRasterPerRegion, \
        PIFFSaveWithPotts = range(3)


    # 2011 - Mitja: toggle between drawing cells vs. regions,
    #    with a constant keeping track of what is to be used:
    #    0 = Cell Draw = CDConstants.ItsaCellConst
    #    1 = Region Draw = CDConstants.ItsaRegionConst
    ItsaCellConst, ItsaRegionConst  = range(2)


    # 2010 - Mitja: mode for drawing color regions and cells:
    #    1 = Color Pick = CDConstants.ImageModePickColor
    #    2 = Freehand Draw = CDConstants.ImageModeDrawFreehand
    #    3 = Polygon Draw = CDConstants.ImageModeDrawPolygon
    ImageModePickColor, ImageModeDrawFreehand, ImageModeDrawPolygon  = range(3)


    # --------------------------------------------------------
    def __init__(self, pParent=None):

        print "DEBUG CDConstants.__init__( pParent=="+pParent+" )"

        QtCore.QObject.__init__(self, pParent)


if __name__ == '__main__':

    pass
